Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_PSDL_Storagetype_Dcl Class Reference

****************************************************************. More...

`#include <PSDL_Node.h>`

Inheritance diagram for TAO_PSDL_Storagetype_Dcl:

[legend]
Collaboration diagram for TAO_PSDL_Storagetype_Dcl:

[legend]
List of all members.

## Public Methods
| TAO_PSDL_Storagetype_Dcl (TAO_PSDL_Node *storagetype_header)
| ****************************************************************. More...
| TAO_PSDL_Storagetype_Dcl (TAO_PSDL_Node *storagetype_header, TAO_PSDL_Node *storagetype_body)
virtual | ~TAO_PSDL_Storagetype_Dcl (void)
TAO_PSDL_Node * | storagetype_header (void) const
| Get the value. More...
TAO_PSDL_Node * | storagetype_body (void) const
int | accept (TAO_PSDL_Node_Visitor *visitor)
| = The Node methods. More...
## Private Attributes
TAO_PSDL_Node * | storagetype_header_
| The values. More...
TAO_PSDL_Node * | storagetype_body_

## Detailed Description

****************************************************************.

## Constructor & Destructor Documentation

TAO_PSDL_Storagetype_Dcl::TAO_PSDL_Storagetype_Dcl | ( | TAO_PSDL_Node * | storagetype_header | ) |

| ****************************************************************.

TAO_PSDL_Storagetype_Dcl::TAO_PSDL_Storagetype_Dcl | ( | TAO_PSDL_Node * | storagetype_header,
|  | TAO_PSDL_Node * | storagetype_body
| ) |

TAO_PSDL_Storagetype_Dcl::~TAO_PSDL_Storagetype_Dcl | ( | void |  | ) | `[virtual]`

## Member Function Documentation

int TAO_PSDL_Storagetype_Dcl::accept | ( | TAO_PSDL_Node_Visitor * | visitor | ) | `[virtual]`

| = The Node methods. Reimplemented from TAO_PSDL_Node.

TAO_PSDL_Node * TAO_PSDL_Storagetype_Dcl::storagetype_body | ( | void |  | ) | const

TAO_PSDL_Node * TAO_PSDL_Storagetype_Dcl::storagetype_header | ( | void |  | ) | const

| Get the value.

## Member Data Documentation

TAO_PSDL_Node* TAO_PSDL_Storagetype_Dcl::storagetype_body_`[private]`

TAO_PSDL_Node* TAO_PSDL_Storagetype_Dcl::storagetype_header_`[private]`

| The values.

The documentation for this class was generated from the following files:

- PSDL_Node.h
- PSDL_Node.cpp